List customer balance transactions

Returns a list of transactions that updated the customer’s balances.

Parameters

No parameters.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit customer balance transactions, starting after item starting_after. Each entry in the array is a separate customer balance transaction object. If no more items are available, the resulting array will be empty.

GET /v1/customers/:id/balance_transactions
curl -G https://api.stripe.com/v1/customers/cus_NcjdgdwZyI9Rj7/balance_transactions \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-06-30.basil" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/customers/cus_NcjdgdwZyI9Rj7/balance_transactions",
"has_more": false,
"data": [
{
"id": "cbtxn_1MrU9qLkdIwHu7ixhdjxGBgI",
"object": "customer_balance_transaction",
"amount": -500,
"created": 1680216086,
"credit_note": null,
"currency": "usd",
"customer": "cus_NcjdgdwZyI9Rj7",
"description": null,
"ending_balance": -500,
"invoice": null,
"livemode": false,
"metadata": {},
"type": "adjustment"
}
]
}